## lsp-plugins 1.1.29

=== Makefile ===
# Common definitions
RELEASE_TEXT            = LICENSE.txt README.txt CHANGELOG.txt
RELEASE_SRC             = $(RELEASE_TEXT) src build-*.sh include res Makefile release.sh
RELEASE_SCRIPTS         = scripts/bash scripts/make
INSTALL                 = install
export RELEASE_TEXT

# Estimate different pre-requisites before launching build
include scripts/make/set_vars.mk
include scripts/make/tools.mk
include scripts/make/version.mk
include scripts/make/configure.mk

# Build directories
export ROOTDIR          = ${CURDIR}
export SRCDIR           = ${CURDIR}/src
export RESDIR           = ${CURDIR}/res
export RELEASE          = ${CURDIR}/.release
export RELEASE_BIN      = $(RELEASE)/$(BUILD_SYSTEM)-$(BUILD_PROFILE)
export BUILDDIR         = ${CURDIR}/.build
export TESTDIR          = ${CURDIR}/.test
OBJDIR                  = $(BUILDDIR)

# Installation locations
BIN_PATH               ?= $(PREFIX)/bin
LIB_PATH               ?= $(PREFIX)/lib
SHARE_PATH             ?= $(PREFIX)/share
ETC_PATH               ?= /etc
DOC_PATH               ?= $(SHARE_PATH)/doc
LADSPA_PATH             = $(LIB_PATH)/ladspa
LV2_PATH                = $(LIB_PATH)/lv2
VST_PATH                = $(LIB_PATH)/vst

# Location
export BASEDIR          = ${CURDIR}

# Objects
export OBJ_CORE         = $(OBJDIR)/core.o
export OBJ_DSP          = $(OBJDIR)/dsp.o
export OBJ_CTL_CORE     = $(OBJDIR)/ctl_core.o
export OBJ_TK_CORE      = $(OBJDIR)/tk_core.o
export OBJ_WS_CORE      = $(OBJDIR)/ws_core.o
export OBJ_WS_X11_CORE  = $(OBJDIR)/ws_x11_core.o
export OBJ_UI_CORE      = $(OBJDIR)/ui_core.o
export OBJ_RES_CORE     = $(OBJDIR)/res_core.o
export OBJ_TEST_CORE    = $(OBJDIR)/test_core.o
export OBJ_TESTING_CORE = $(OBJDIR)/testing_core.o
export OBJ_PLUGINS      = $(OBJDIR)/plugins.o
export OBJ_PLUGIN_UIS	= $(OBJDIR)/plugin_uis.o
export OBJ_METADATA     = $(OBJDIR)/metadata.o
export OBJ_FILES        = $(OBJ_CORE) $(OBJ_UI_CORE) $(OBJ_RES_CORE) $(OBJ_PLUGINS) $(OBJ_METADATA)

# Libraries
export LIB_LADSPA       = $(OBJDIR)/$(ARTIFACT_ID)-ladspa.so
export LIB_LV2          = $(OBJDIR)/$(ARTIFACT_ID)-lv2.so
export LIB_VST          = $(OBJDIR)/$(ARTIFACT_ID)-vst-core-$(LSP_VERSION).so
export LIB_JACK         = $(OBJDIR)/$(ARTIFACT_ID)-jack-core-$(LSP_VERSION).so
export LIB_R3D_GLX      = $(OBJDIR)/$(R3D_ARTIFACT_ID)-glx.so

# Binaries
export BIN_PROFILE      = $(OBJDIR)/$(ARTIFACT_ID)-profile
export BIN_TEST         = $(OBJDIR)/$(ARTIFACT_ID)-test

# Utils
export UTL_GENTTL       = $(OBJDIR)/lv2_genttl.exe
export UTL_VSTMAKE      = $(OBJDIR)/vst_genmake.exe
export UTL_JACKMAKE     = $(OBJDIR)/jack_genmake.exe
export UTL_GENPHP       = $(OBJDIR)/gen_php.exe
export UTL_RESGEN       = $(OBJDIR)/gen_resources.exe
export UTL_FILES        = $(UTL_GENTTL) $(UTL_VSTMAKE) $(UTL_GENPHP) $(UTL_RESGEN)

# Files
export PHP_PLUGINS      = $(OBJDIR)/plugins.php

FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
FILES                   =

LADSPA_ID              := $(ARTIFACT_ID)-ladspa-$(LSP_VERSION)
LV2_ID                 := $(ARTIFACT_ID)-lv2-$(LSP_VERSION)
VST_ID                 := $(ARTIFACT_ID)-lxvst-$(LSP_VERSION)
JACK_ID                := $(ARTIFACT_ID)-jack-$(LSP_VERSION)
PROFILE_ID             := $(ARTIFACT_ID)-profile-$(LSP_VERSION)
SRC_ID                 := $(ARTIFACT_ID)-src-$(LSP_VERSION)
DOC_ID                 := $(ARTIFACT_ID)-doc-$(LSP_VERSION)

.DEFAULT_GOAL          := all
.PHONY: all experimental trace debug tracefile debugfile profile gdb test testdebug testprofile compile test_compile
.PHONY: compile_info
.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc
.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc
.PHONY: release release_ladspa release_lv2 release_vst release_jack release_doc release_src
.PHONY: build_ladspa build_lv2 build_vst build_jack build_doc

default: all

all: export CFLAGS          += -O2 -DLSP_NO_EXPERIMENTAL
all: export CXXFLAGS        += -O2 -DLSP_NO_EXPERIMENTAL
all: export EXE_FLAGS       += -pie -fPIE
all: compile

experimental: export CFLAGS += -O2
experimental: export CXXFLAGS += -O2
experimental: compile

trace: export CFLAGS        += -O2 -DLSP_TRACE -g3 -fstack-protector
trace: export CXXFLAGS      += -O2 -DLSP_TRACE -g3 -fstack-protector
trace: export EXE_FLAGS     += -g3
trace: compile

test: OBJDIR                 = $(TESTDIR)
test: export CFLAGS         += -O2 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
test: export CXXFLAGS       += -O2 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
test: export EXE_TEST_FLAGS += -g3
test: export MAKE_OPTS      += LSP_TESTING=1
test: export BUILD_MODULES   = jack
test: test_compile

testdebug: OBJDIR                 = $(TESTDIR)
testdebug: export CFLAGS         += -O0 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
testdebug: export CXXFLAGS       += -O0 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
testdebug: export EXE_TEST_FLAGS += -g3
testdebug: export MAKE_OPTS      += LSP_TESTING=1
testdebug: export BUILD_MODULES   = jack
testdebug: test_compile

testprofile: OBJDIR                 = $(TESTDIR)
testprofile: export CFLAGS         += -g -pg -O2 -DLSP_PROFILING -DLSP_TESTING -DLSP_TRACE -g3 -no-pie -fno-pie -fPIC -fstack-protector
testprofile: export CXXFLAGS       += -g -pg -O2 -DLSP_PROFILING -DLSP_TESTING -DLSP_TRACE -g3 -no-pie -fno-pie -fPIC -fstack-protector
testprofile: export EXE_TEST_FLAGS += -g -pg -O2 -g3 -no-pie -fno-pie -fPIC
testprofile: export MAKE_OPTS      += LSP_TESTING=1
testprofile: compile

tracefile: export CFLAGS    += -DLSP_TRACEFILE
tracefile: export CXXFLAGS  += -DLSP_TRACEFILE
tracefile: trace

debug: export CFLAGS        += -O2 -DLSP_DEBUG
debug: export CXXFLAGS      += -O2 -DLSP_DEBUG
debug: compile

debugfile: export CFLAGS    += -DLSP_TRACEFILE
debugfile: export CXXFLAGS  += -DLSP_TRACEFILE
debugfile: debug

gdb: export CFLAGS          += -O0 -g3 -DLSP_TRACE
gdb: export CXXFLAGS        += -O0 -g3 -DLSP_TRACE
gdb: compile

profile: export CFLAGS      += -g -pg -DLSP_PROFILING -no-pie -fno-pie -fPIC
profile: export CXXFLAGS    += -g -pg -DLSP_PROFILING -no-pie -fno-pie -fPIC
profile: export EXE_FLAGS   += -g -pg -no-pie -fno-pie -fPIC
profile: compile

# Compilation and cleaning targets
compile_info:
	@echo "-------------------------------------------------------------------------------"
	@echo "Building binaries"
	@echo "  target architecture : $(BUILD_PROFILE)"
	@echo "  target platform     : $(BUILD_PLATFORM)"
	@echo "  target system       : $(BUILD_SYSTEM)"
	@echo "  compiler            : $(BUILD_COMPILER)"
	@echo "  modules             : $(BUILD_MODULES)"
	@echo "  UI                  : LV2=$(LV2_UI), VST=$(VST_UI)"
	@echo "  3D rendering        : $(BUILD_R3D_BACKENDS)"
	@echo "  build directory     : $(OBJDIR)"
	@echo "-------------------------------------------------------------------------------"

compile: | compile_info
	@mkdir -p $(OBJDIR)/src
	@mkdir -p $(CFGDIR)
	@test -f "$(CFGDIR)/$(PREFIX_FILE)" || echo -n "$(PREFIX)" > "$(CFGDIR)/$(PREFIX_FILE)"
	@test -f "$(CFGDIR)/$(MODULES_FILE)" || echo -n "$(BUILD_MODULES)" > "$(CFGDIR)/$(MODULES_FILE)"
	@test -f "$(CFGDIR)/$(BUILD_PROFILE)" || echo -n "$(BUILD_PROFILE)" > "$(CFGDIR)/$(BUILD_PROFILE_FILE)"
	@test -f "$(CFGDIR)/$(R3D_BACKENDS_FILE)" || echo -n "$(BUILD_R3D_BACKENDS)" > "$(CFGDIR)/$(R3D_BACKENDS_FILE)"
	@$(MAKE) $(MAKE_OPTS) -C src all OBJDIR=$(OBJDIR)/src
	@echo "Build OK"
	
test_compile: | compile_info
	@mkdir -p $(OBJDIR)/src
	@$(MAKE) $(MAKE_OPTS) -C src all OBJDIR=$(OBJDIR)/src
	@echo "Test Build OK"

clean:
	@-rm -rf $(BUILDDIR)
	@-rm -rf $(TESTDIR)
	@-rm -rf $(CFGDIR)
	@echo "Clean OK"

# Build targets
build_ladspa: export BUILD_MODULES = ladspa
build_ladspa: compile

build_lv2: export BUILD_MODULES = lv2
build_lv2: compile

build_vst: export BUILD_MODULES = vst
build_vst: compile

build_jack: export BUILD_MODULES = jack
build_jack: compile

build_doc: export BUILD_MODULES = doc
build_doc: compile


# Installation targets
install: $(INSTALLATIONS)
	@echo "Install OK"

install_ladspa: all
	@echo "Installing LADSPA plugins to $(DESTDIR)$(LADSPA_PATH)/"
	@mkdir -p $(DESTDIR)$(LADSPA_PATH)
	@$(INSTALL) $(LIB_LADSPA) $(DESTDIR)$(LADSPA_PATH)/
	
install_lv2: all
	@echo "Installing LV2 plugins to $(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	@mkdir -p "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	@$(INSTALL) $(LIB_LV2) "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2/"
	@test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so $(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2/
	@$(UTL_GENTTL) "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	
install_vst: all
	@echo "Installing VST plugins to $(DESTDIR)$(VST_PATH)/$(VST_ID)"
	@mkdir -p "$(DESTDIR)$(VST_PATH)/$(VST_ID)"
	@$(INSTALL) $(LIB_VST) "$(DESTDIR)$(VST_PATH)/$(VST_ID)/"
	@test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so $(DESTDIR)$(VST_PATH)/$(VST_ID)/
	@$(INSTALL) $(OBJDIR)/src/vst/*.so $(DESTDIR)$(VST_PATH)/$(VST_ID)/

install_jack: all
	@echo "Installing JACK core to $(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)"
	@mkdir -p "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)"
	@$(INSTALL) $(LIB_JACK) "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)/"
	@test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)/"
	@echo "Installing JACK standalone plugins to $(DESTDIR)$(BIN_PATH)"
	@mkdir -p "$(DESTDIR)$(BIN_PATH)"
	@$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/src/jack install TARGET_PATH="$(DESTDIR)$(BIN_PATH)" INSTALL="$(INSTALL)"
	@echo "Installing desktop icons to $(DESTDIR)$(SHARE_PATH)/applications"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/applications"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/desktop-directories"
	@mkdir -p "$(DESTDIR)$(ETC_PATH)/xdg/menus/applications-merged"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/scalable/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/16x16/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/22x22/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/24x24/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/32x32/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/48x48/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/64x64/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/128x128/apps"
	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/256x256/apps"
	@cp res/xdg/*.desktop "$(DESTDIR)$(SHARE_PATH)/applications/"
	@cp res/xdg/lsp-plugins.directory "$(DESTDIR)$(SHARE_PATH)/desktop-directories/"
	@cp res/xdg/lsp-plugins.menu "$(DESTDIR)$(ETC_PATH)/xdg/menus/applications-merged/"
	@cp -f res/icons/$(ARTIFACT_ID)-16.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/16x16/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-22.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/22x22/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-24.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/24x24/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-32.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/32x32/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-48.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/48x48/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-64.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/64x64/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-128.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/128x128/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-256.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/256x256/apps/$(ARTIFACT_ID).png"
	@cp -f res/icons/$(ARTIFACT_ID)-exp.svg "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/scalable/apps/$(ARTIFACT_ID).svg"

install_doc: all
	@echo "Installing documentation to $(DESTDIR)$(DOC_PATH)"
	@mkdir -p $(DESTDIR)$(DOC_PATH)/$(ARTIFACT_ID)
	@cp -r $(OBJDIR)/html/* $(DESTDIR)$(DOC_PATH)/$(ARTIFACT_ID)

# Release targets
dbg_release: export CFLAGS        += -DLSP_TRACE -O2
dbg_release: export CXXFLAGS      += -DLSP_TRACE -O2
dbg_release: $(RELEASES)
	@echo "Debug Release OK"

release: INSTALL        += -s
release: $(RELEASES)
	@echo "Release OK"

=== src/core/Makefile ===
rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
INCLUDE                += $(SNDFILE_HEADERS)
LIBS                    = $(PTHREAD_LIBS)

.PHONY: all

all: $(OBJ_CORE)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@mkdir -p $(dir $@)
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(LIBS) $(INCLUDE) 

$(OBJ_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_CORE))"
	@$(LD) -o $(OBJ_CORE) -r $(MERGE_FLAGS) $(FILES)

=== src/dsp/Makefile ===
NATIVE_IMPL             = $(OBJDIR)/native.o

X86_IMPL                = $(OBJDIR)/x86.o
SSE_IMPL                = $(OBJDIR)/sse.o
SSE2_IMPL               = $(OBJDIR)/sse2.o
SSE3_IMPL               = $(OBJDIR)/sse3.o
SSE4_IMPL               = $(OBJDIR)/sse4.o
AVX_IMPL                = $(OBJDIR)/avx.o
AVX2_IMPL               = $(OBJDIR)/avx2.o
NEON_D32_IMPL           = $(OBJDIR)/neon-d32.o
DSP_IMPL                = $(OBJDIR)/dsp.o
BITS_IMPL               = $(OBJDIR)/bits.o
ARM_IMPL                = $(OBJDIR)/arm.o
AARCH64_IMPL            = $(OBJDIR)/aarch64.o
ASIMD_IMPL              = $(OBJDIR)/asimd.o

SSE_INSTR_SET           = -mmmx -m3dnow -msse
SSE2_INSTR_SET          = $(SSE_INSTR_SET) -msse2
SSE3_INSTR_SET          = $(SSE2_INSTR_SET) -msse3 -mssse3
SSE4_INSTR_SET          = $(SSE3_INSTR_SET) -msse4.1 -msse4.2
AVX_INSTR_SET           = -mavx -mvzeroupper
AVX2_INSTR_SET          = $(AVX_INSTR_SET) -mavx2
NEON_D32_INSTR_SET      = -mfpu=neon-vfpv4
ASIMD_INSTR_SET      	= -march=armv8-a+simd

FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
LINK_OBJECTS            = $(DSP_IMPL) $(BITS_IMPL) $(NATIVE_IMPL)

# Build different DSP modules dependent on architecture
ifeq ($(BUILD_PROFILE), i586)
LINK_OBJECTS           += $(X86_IMPL) $(SSE_IMPL) $(SSE2_IMPL) $(SSE3_IMPL) $(SSE4_IMPL) $(AVX_IMPL) $(AVX2_IMPL)
endif
ifeq ($(BUILD_PROFILE), x86_64)
LINK_OBJECTS           += $(X86_IMPL) $(SSE_IMPL) $(SSE2_IMPL) $(SSE3_IMPL) $(SSE4_IMPL) $(AVX_IMPL) $(AVX2_IMPL)
endif
ifeq ($(BUILD_PLATFORM), BSD)
  ifeq ($(BUILD_PROFILE), arm)
    LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
  endif
endif
ifeq ($(BUILD_PROFILE), armv7a)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), armv7ve)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), arm32)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), aarch64)
LINK_OBJECTS           += $(AARCH64_IMPL) $(ASIMD_IMPL)
endif

.PHONY: all target

target: all

all: $(OBJ_DSP)

$(OBJ_DSP): $(LINK_OBJECTS)
	@echo "  $(LD) $(notdir $(OBJ_DSP))"
	@$(LD) -o $(OBJ_DSP) -r $(MERGE_FLAGS) $(LINK_OBJECTS)

$(DSP_IMPL) $(BITS_IMPL) $(NATIVE_IMPL) $(X86_IMPL) $(ARM_IMPL) $(AARCH64_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
	
$(SSE_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE_INSTR_SET) $(INCLUDE)
	
$(SSE2_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE2_INSTR_SET) $(INCLUDE)
	
$(SSE3_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE3_INSTR_SET) $(INCLUDE)
	
$(SSE4_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE4_INSTR_SET) $(INCLUDE)

$(AVX_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(AVX_INSTR_SET) $(INCLUDE)

$(AVX2_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(AVX2_INSTR_SET) $(INCLUDE)
	
$(NEON_D32_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(NEON_D32_INSTR_SET) $(INCLUDE)
	
$(ASIMD_IMPL):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(ASIMD_INSTR_SET) $(INCLUDE)

=== src/test/Makefile ===
rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all

all: $(OBJ_TEST_CORE)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@mkdir -p $(dir $@)
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(OPENGL_HEADERS) 

$(OBJ_TEST_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_TEST_CORE))"
	@$(LD) -o $(OBJ_TEST_CORE) -r $(MERGE_FLAGS) $(FILES)

=== src/testing/Makefile ===
rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all

all: $(OBJ_TESTING_CORE)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@mkdir -p $(dir $@)
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(OPENGL_HEADERS) 

$(OBJ_TESTING_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_TESTING_CORE))"
	@$(LD) -o $(OBJ_TESTING_CORE) -r $(MERGE_FLAGS) $(FILES)

=== src/ui/Makefile ===
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
SUBDIRS					= ws tk ctl plugins
INCLUDE                += $(CAIRO_HEADERS) $(XLIB_HEADERS)
PACKAGES                = $(OBJ_WS_CORE) $(OBJ_TK_CORE) $(OBJ_CTL_CORE)

.PHONY: all $(SUBDIRS)

$(SUBDIRS):
	@echo "Building $@"
	@mkdir -p $(OBJDIR)/$(@)
	@$(MAKE) $(MAKE_OPTS) -C $@ $(MAKECMDGOALS) OBJDIR=$(OBJDIR)/$(@)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)

$(OBJ_UI_CORE): $(FILES) $(SUBDIRS)
	@echo "  $(LD) $(notdir $(@))"
	@$(LD) -o $(OBJ_UI_CORE) $(OBJ_PLUGIN_UIS) $(MERGE_FLAGS) $(PACKAGES) $(FILES)

all: $(OBJ_UI_CORE)

=== src/utils/Makefile ===
MODULES                 = $(UTL_RESGEN) 
FILELIST                = resource_gen.o 
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
SUBDIRS                 =
OBJ_FILES               = $(OBJ_CORE) $(OBJ_METADATA)
OBJ_LIBS                = $(PTHREAD_LIBS) $(MATH_LIBS)
OBJ_EXTRA               =
INCLUDE_EXTRA           =

ifeq ($(BUILD_PLATFORM),BSD)
  OBJ_LIBS               += $(ICONV_LIBS)
endif

ifeq ($(LSP_TESTING),1)
  OBJ_EXTRA              += $(OBJ_TEST_CORE)
endif

ifeq ($(findstring lv2,$(BUILD_MODULES)),lv2)
  MODULES                += $(UTL_GENTTL)
  FILELIST               += lv2_genttl.o
  INCLUDE_EXTRA          += $(LV2_HEADERS)
endif
ifeq ($(findstring vst,$(BUILD_MODULES)),vst)
  MODULES                += $(UTL_VSTMAKE)
  FILELIST               += vst_genmake.o
endif
ifeq ($(findstring jack,$(BUILD_MODULES)),jack)
  MODULES                += $(UTL_JACKMAKE)
  FILELIST               += jack_genmake.o
endif
ifeq ($(findstring doc,$(BUILD_MODULES)),doc)
  MODULES                += $(UTL_GENPHP)
  FILELIST               += gen_php.o
endif

FILES                   = $(addprefix $(OBJDIR)/, $(FILELIST))

.PHONY: all target files subdirs $(SUBDIRS)

all: $(MODULES)

target: all

# Common rules
$(SUBDIRS):
	@echo "Building $@"
	@mkdir -p $(OBJDIR)/$(@)
	@$(MAKE) $(MAKE_OPTS) -C $@ $(MAKECMDGOALS) OBJDIR=$(OBJDIR)/$(@)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) $(CPPFLAGS) -fPIC $(CXXFLAGS) $(INCLUDE) $(INCLUDE_EXTRA)

# Rules for each utility
$(UTL_GENTTL): $(FILES) $(SUBDIRS)
	@echo "  $(CXX) $(notdir $(UTL_GENTTL))"
	@$(CXX) -o $(UTL_GENTTL) $(OBJDIR)/lv2_genttl.o $(OBJ_FILES) $(EXE_FLAGS) $(SNDFILE_LIBS) $(DL_LIBS) $(OBJ_LIBS) $(LV2_LIBS)
	
$(UTL_JACKMAKE): $(FILES) $(SUBDIRS)
	@echo "  $(CXX) $(notdir $(UTL_JACKMAKE))"
	@$(CXX) -o $(UTL_JACKMAKE) $(OBJDIR)/jack_genmake.o $(OBJ_FILES) $(EXE_FLAGS) $(SNDFILE_LIBS) $(DL_LIBS) $(OBJ_LIBS)
	
$(UTL_VSTMAKE): $(FILES) $(SUBDIRS)
	@echo "  $(CXX) $(notdir $(UTL_VSTMAKE))"
	@$(CXX) -o $(UTL_VSTMAKE) $(OBJDIR)/vst_genmake.o $(OBJ_FILES) $(EXE_FLAGS) $(DL_LIBS) $(OBJ_LIBS)
	
$(UTL_GENPHP): $(FILES) $(SUBDIRS)
	@echo "  $(CXX) $(notdir $(UTL_GENPHP))"
	@$(CXX) -o $(UTL_GENPHP) $(OBJDIR)/gen_php.o $(OBJ_FILES) $(EXE_FLAGS) $(SNDFILE_LIBS) $(DL_LIBS) $(OBJ_LIBS)
	
$(UTL_RESGEN): $(FILES) $(SUBDIRS)
	@echo "  $(CXX) $(notdir $(UTL_RESGEN))"
	@$(CXX) -o $(UTL_RESGEN) $(OBJDIR)/resource_gen.o $(OBJ_FILES) $(OBJ_DSP) $(OBJ_EXTRA) $(EXE_FLAGS) $(SNDFILE_LIBS) $(DL_LIBS) $(OBJ_LIBS)

=== src/ui/plugins/Makefile ===
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
SUBDIRS					= 

.PHONY: all

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)  

$(OBJ_PLUGIN_UIS): $(FILES)
	@echo "  $(LD) $(notdir $(@))"
	@$(LD) -o $(OBJ_PLUGIN_UIS) $(MERGE_FLAGS) $(PACKAGES) $(FILES)

all: $(OBJ_PLUGIN_UIS) $(SUBDIRS)

=== src/ui/tk/Makefile ===
rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@mkdir -p $(dir $@)
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)

$(OBJ_TK_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(@))"
	@$(LD) -o $(OBJ_TK_CORE) $(MERGE_FLAGS) $(PACKAGES) $(FILES)

all: $(OBJ_TK_CORE)

=== src/ui/ws/x11/Makefile ===
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
INCLUDE                += $(XLIB_HEADERS) $(CAIRO_HEADERS)

.PHONY: all

all: $(OBJ_WS_X11_CORE)

$(OBJ_WS_X11_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(@))"
	@$(LD) -o $(OBJ_WS_X11_CORE) $(MERGE_FLAGS) -r $(FILES)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	@$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)

=== debian/changelog ===
lsp-plugins (1.1.29-1) unstable; urgency=medium

  * New upstream version 1.1.29
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 Jan 2021 16:32:20 +0100

=== debian/control ===
Source: lsp-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libexpat1-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libjack-jackd2-dev,
 lv2-dev,
 php-cli,
 libcairo2-dev,
 libsndfile1-dev
Standards-Version: 4.5.1
Homepage: https://lsp-plug.in/
Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/lsp-plugins.git
Rules-Requires-Root: no

Package: lsp-plugins
Section: metapackages
Architecture: any
Depends:
 lsp-plugins-ladspa,
 lsp-plugins-lv2,
 lsp-plugins-vst,
 lsp-plugins-jack,
 ${misc:Depends},
Suggests:
 dgedit
Description: LSP (Linux Studio Plugins) audio-plugins (metapackage)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This metapackage installs plugins for all supported frameworks and the Jack
 standalone clients.

Package: lsp-plugins-jack
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: lsp-plugins-common
Replaces: lsp-plugins-common
Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the standalone Jack clients.

Package: lsp-plugins-ladspa
Architecture: any
Provides: ladspa-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (ladspa plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provies the ladspa plugins.

Package: lsp-plugins-lv2
Architecture: any
Provides: lv2-plugin
Depends:
 lsp-plugins-jack (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the LV2 plugins.

Package: lsp-plugins-vst
Architecture: any
Depends:
 lsp-plugins-jack (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the VST plugins.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	export BUILD_PROFILE=x86_64
endif
ifeq ($(DEB_HOST_ARCH),i386)
	export BUILD_PROFILE=i586
endif
ifeq ($(DEB_HOST_ARCH),arm64)
	export BUILD_PROFILE=aarch64
endif
ifeq ($(DEB_HOST_ARCH),armel)
	export BUILD_PROFILE=armv7a
endif
ifeq ($(DEB_HOST_ARCH),armhf)
	export BUILD_PROFILE=armv7a
endif

%:
	dh $@

override_dh_auto_test:
	# the test suite requires build options incompatible with what we
	# ship in the package, so disable until upstream resolves this

override_dh_install:
	# Documentation contains privacy-invading IFRAMEs in HTML code
	# which generates Lintian warnings. HTML documentation is
	# therefore removed, and documentation is linked at
	# https://lsp-plug.in/?page=manuals
	rm -r debian/tmp/usr/share/doc/lsp-plugins
	dh_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/lsp-plugins-src-?(\d\S*)\.tar\.gz/lsp-plugins-$1\.tar\.gz/ \
 https://github.com/sadko4u/lsp-plugins/releases .*/lsp-plugins-src-(\d\S*)\.tar\.gz

## lsp-plugins 1.1.30

=== Makefile ===
--- 
+++ 
@@ -86,8 +86,8 @@
 .DEFAULT_GOAL          := all
 .PHONY: all experimental trace debug tracefile debugfile profile gdb test testdebug testprofile compile test_compile
 .PHONY: compile_info
-.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc
-.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc
+.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc install_xdg
+.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc uninstall_xdg
 .PHONY: release release_ladspa release_lv2 release_vst release_jack release_doc release_src
 .PHONY: build_ladspa build_lv2 build_vst build_jack build_doc
 
@@ -234,6 +234,8 @@
 	@echo "Installing JACK standalone plugins to $(DESTDIR)$(BIN_PATH)"
 	@mkdir -p "$(DESTDIR)$(BIN_PATH)"
 	@$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/src/jack install TARGET_PATH="$(DESTDIR)$(BIN_PATH)" INSTALL="$(INSTALL)"
+
+install_xdg:
 	@echo "Installing desktop icons to $(DESTDIR)$(SHARE_PATH)/applications"
 	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/applications"
 	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/desktop-directories"
@@ -273,5 +275,3 @@
 
 release: INSTALL        += -s
 release: $(RELEASES)
-	@echo "Release OK"
-

=== debian/changelog ===
lsp-plugins (1.1.30-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 12:46:53 -0500

lsp-plugins (1.1.30-1) unstable; urgency=medium

  * Provide the lsp-plugins-r3d-glx package,
    to get rid of lsp-plugins-jack dependency.
    All 123 desktop files/icons were in desktop menu even if only the lv2 or
    vst plugins should be installed, because the lsp-plugins-jack was a
    dependency for the lv2 and vst plugins.
  * d/control: Bump S-V to 4.6.0.1, no changes needed
  * d/control: Re-add Debian Multimedia Team as Maintainer
  * Install the desktop files again with the jack package
  * Simplify lsp-plugins-jack.lintian-overrides
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Aug 2021 12:50:50 +0200

lsp-plugins (1.1.30-0ubuntu2) impish; urgency=medium

  * Remove /etc/xdg from install

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Jun 2021 17:37:00 -0700

lsp-plugins (1.1.30-0ubuntu1) impish; urgency=medium

  * New upstream version 1.1.30
  * Implemented Oscilloscope plugin series: x1, x2 and x4. UX design by Bor T.
  * Added data streaming port support to plugin framework.
  * Added strobe feature to mesh primitives that allows to draw
    multiple streamed meshes together.
  * Implemented 4-lobe Lanczos oversampling DSP functions for i586
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for x86_64
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for 32-bit ARM
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for 64-bit ARM
    architecture.
  * Minor bugfixes in the core library.
  * Fixed bug with character set encoding for several systems with limited
    iconv.
  * Fixed latency compensation issue that happened for the 'Bypass'
    switch/automation.
  * Implemented additional 'Boosting' mode for the single-band compressor
    plugin series.
  * Implemented additional 'Boosting' mode for the multiband-band compressor
    plugin series.
  * Updated french translations (contributed by Olivier Humbert).
  * Updated italian translations by Stefano Tronci.
  * Desktop icon installation moved to a separate 'install_xdg' icon to
    prevent LSP icon flooding for several systems which don't support XDG
    standard.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Jun 2021 17:04:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lsp-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,7 +15,7 @@
  php-cli,
  libcairo2-dev,
  libsndfile1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://lsp-plug.in/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/lsp-plugins.git
@@ -56,11 +57,9 @@
 
 Package: lsp-plugins-jack
 Architecture: any
-Depends:
+Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks: lsp-plugins-common
-Replaces: lsp-plugins-common
 Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -82,6 +81,35 @@
  and MIDI triggers
  .
  This package provides the standalone Jack clients.
+ 
+Package: lsp-plugins-r3d-glx
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: lsp-plugins-jack (<< 1.1.30-1~)
+Replaces: lsp-plugins-jack (<< 1.1.30-1~)
+Description: LSP (Linux Studio Plugins) r3d-glx library
+ Linux Studio Plugins (LSP) provides a collection of audio effects,
+ synthesizers, and a selection of audio tools for music and sound
+ production. It provides standalone Jack clients and integrates
+ into the LV2, LADSPA and VST plugin frameworks.
+ .
+ LSP provides the following plugins:
+ .
+ Audio effects: limiters, dynamic processors, expanders, gates,
+ graphic equalisers, impulse responses, impulse reverbs, compressors,
+ multiband compressors, parametric equalisers, phase detector,
+ sidechain multiband compressors, sidechain limiters,
+ sidechain dynamic processors, sidechain expanders, sidechain gates,
+ sidechain compressors, slapback delays, delay compensators, triggers.
+ .
+ Synths: samplers, and multisamplers.
+ .
+ Tools: latency meters, oscillators, profiler, spectrum analyzers,
+ and MIDI triggers
+ .
+ This package provides the LSP r3d-glx library.
 
 Package: lsp-plugins-ladspa
 Architecture: any
@@ -114,8 +142,7 @@
 Package: lsp-plugins-lv2
 Architecture: any
 Provides: lv2-plugin
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
+Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
@@ -142,8 +169,7 @@
 
 Package: lsp-plugins-vst
 Architecture: any
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
+Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,18 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_test:
 	# the test suite requires build options incompatible with what we
 	# ship in the package, so disable until upstream resolves this
 
-override_dh_install:
+override_dh_auto_install:
+	dh_auto_install
+	$(MAKE) install_xdg DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr
 	# Documentation contains privacy-invading IFRAMEs in HTML code
 	# which generates Lintian warnings. HTML documentation is
 	# therefore removed, and documentation is linked at
 	# https://lsp-plug.in/?page=manuals
 	rm -r debian/tmp/usr/share/doc/lsp-plugins
-	dh_install
